% calib.m
%
% This file is used to determine the calibration 
% values for the haptic paddle. It fits a spline,
% which may be overkill. Some paddles only require
% a linear fit.
%
% -Allison Okamura 11/17/98

% put your first filename here:
file1

angle1 = angle;
sensor1 = sensor;

% put your second filename here:
file2

angle2 = angle;
sensor2 = sensor;

% put your third filename here:
file3

angle3 = angle;
sensor3 = sensor;

% average the angles and sensor readings
angle = (angle1 + angle2 + angle3)/3 -90;
sensor = (sensor1 + sensor2 + sensor3)/3;

% plot the average of readings
plot(sensor,angle);
hold on
plot(sensor,angle,'o');

% fit a third order polynomial (spline) to the data
[p,S] = polyfit(sensor,angle,3);

% print out the values of a, b, c, and d
format long
a = p(1)
b = p(2)
c = p(3)
d = p(4)

% plot the model
for i=1:8
 model(i) = a*sensor(i)*sensor(i)*sensor(i) + b*sensor(i)*sensor(i) + c*sensor(i) + d;
end
plot(sensor,model,':g')
