% Matlab script for Lab 5
%
% -Allison Okamura 11/17/98



clear



% put your filename here to load data

example



% plot your data -------------------------------------------

figure



% Here I add some to the position so it oscillates around zero

% It makes it easier to match the theoretical response

plot(time, x+3.8, '-b');

hold on



% Here we scale the step input just so the plot looks nice

% The step input is in different units; we just show it

% here so that we can see the timing

plot(time, step/10, '-g');

title('Haptic Paddle response')

xlabel('time (s)');

ylabel('position (mm)');

grid



% plot a theoretical response ------------------------------



% play with these values until your plot matches

xo = 19;

xod = 0;

A = 0;

zeta = 0.1;

wn = 17;



% calculate the repsonse

wd = wn*sqrt(1-zeta^2);

xh = ((xod + zeta*wn*xo)/wd*sin(wd*time) + xo*cos(wd*time)).*exp(-zeta*wn*time);

xp = A/wn^2 - A/wn^2*(zeta/sqrt(1-zeta^2)*sin(wd*time) + cos(wd*time)).*exp(-zeta*wn*time);

xnew = xh + xp;



% add a time shift so it matches actual response

plot(time+0.41, xnew, '-m');

legend('actual response', 'step input', 'theoretical response');